Project

General

Profile

Bug #15189

Figure out what to do with optional Electrum dependencies on Buster

Added by intrigeri over 1 year ago. Updated 6 months ago.

Status:
Resolved
Priority:
Normal
Assignee:
-
Category:
-
Target version:
Start date:
01/17/2018
Due date:
% Done:

0%

Feature Branch:
Type of work:
Debian
Blueprint:
Starter:
Affected tool:
Electrum

Description

See cb392c17300569f3daac588c23c2d5eef5651d4b. Let's just wait a bit, by the time we're closer to Tails 4.0 things should be back in shape, hopefully, if someone cares about it enough in Debian :)


Related issues

Related to Tails - Bug #15390: TREZOR hardware wallet support is gone since Electrum was updated to 3.x Resolved 03/09/2018
Related to Tails - Bug #15452: Check the status of Electrum qrcode support since we upgraded it to 3.x Rejected 03/23/2018

Associated revisions

Revision 72c2b6a1 (diff)
Added by intrigeri over 1 year ago

Re-enable TREZOR support in Electrum (refs: #15189)

python3-trezor is back in testing.

This partially reverts commit cb392c17300569f3daac588c23c2d5eef5651d4b.

History

#1 Updated by s7r over 1 year ago

intrigeri wrote:

See cb392c17300569f3daac588c23c2d5eef5651d4b. Let's just wait a bit, by the time we're closer to Tails 4.0 things should be back in shape, hopefully, if someone cares about it enough in Debian :)

qt5 is recommends because Electrum can be run without a GUI with CLI (console / command line mode)

the rest of optional dependencies are for hardware wallets support (like trezor). Currently there's a bug in python3-trezor that prevents it from migrating to buster, but once it's fixed it will migrate. Same applies for stretch-backports.

So, all the optional dependencies will soon be where they should.

#2 Updated by intrigeri over 1 year ago

So, all the optional dependencies will soon be where they should.

Thanks. But there's also python3-zbar, that does not exist in Debian yet. In current Tails we do ship python-zbar so I assume that not having python3-zbar would introduce a regression.

#3 Updated by intrigeri over 1 year ago

  • Related to Bug #15390: TREZOR hardware wallet support is gone since Electrum was updated to 3.x added

#4 Updated by intrigeri over 1 year ago

  • Related to Bug #15452: Check the status of Electrum qrcode support since we upgraded it to 3.x added

#5 Updated by intrigeri over 1 year ago

  • Assignee set to s7r
  • Type of work changed from Wait to Debian

Re-added python3-trezor on feature/buster but I believe the python3-zbar is still an issue; I suspect it actually affects Tails 3.6 already so perhaps that'll be fixed outside of this ticket (#15452).

#6 Updated by intrigeri over 1 year ago

  • Status changed from Confirmed to In Progress

#7 Updated by intrigeri 7 months ago

zbar "does not have an active upstream for a long time" and the Debian package was orphaned.

#8 Updated by s7r 6 months ago

All dependencies as well as hardware wallet support (except udev rules of course) shall not be needed any longer or represent an issue for us if we decide to ship Electrum tool as an AppImage as per #16564.

#9 Updated by intrigeri 6 months ago

  • Status changed from In Progress to Resolved
  • Assignee deleted (s7r)

TREZOR support is back and zbar is in a bad shape upstream (and not in 3.x anymore for a while) ⇒ that's probably the best we can do for 4.0.

Also available in: Atom PDF